# $Revision: 1.104.2.3 $, $Date: 2007-12-15 19:15:07 $
# TODO
# - package or remove:
#   %{py_sitedir}/netsnmp/__init__.py
#   %{py_sitedir}/netsnmp/client.py
#   %{py_sitedir}/netsnmp/tests/__init__.py
#   %{py_sitedir}/netsnmp/tests/__init__.pyc
#   %{py_sitedir}/netsnmp/tests/__init__.pyo
#   %{py_sitedir}/netsnmp/tests/test.py
#   %{py_sitedir}/netsnmp/tests/test.pyc
#   %{py_sitedir}/netsnmp/tests/test.pyo
#   %{_datadir}/snmp/snmp_perl.pl
#
# Conditional build:
%bcond_without	autodeps	# don't BR packages only for deps resolving
%bcond_without	rpm		# don't include RPM support
%bcond_without	kerberos5	# don't include kerberos support
%bcond_without	lm_sensors	# don't include sensors support
%bcond_without	perl		# don't include Perl modules and utils
%bcond_without	python		# don't include Python modules
#
%include	/usr/lib/rpm/macros.perl
Summary:	A collection of SNMP protocol tools
Summary(es.UTF-8):	Agente SNMP de la UCD
Summary(pl.UTF-8):	Kolekcja narzędzi do obsługi protokołu SNMP
Summary(pt_BR.UTF-8):	Agente SNMP da UCD
Summary(ru.UTF-8):	Набор утилит для протокола SNMP от UC-Davis
Summary(uk.UTF-8):	Набір утиліт для протоколу SNMP від UC-Davis
Name:		net-snmp
Version:	5.4.1
Release:	4
License:	BSD-like
Group:		Networking/Daemons
Source0:	http://dl.sourceforge.net/net-snmp/%{name}-%{version}.tar.gz
# Source0-md5:	6c974df7a5a5b1579f72115e6b045bda
Source1:	%{name}d.init
Source2:	%{name}d.conf
Source3:	%{name}d.sysconfig
Source4:	%{name}trapd.init
Source5:	%{name}trapd.conf
Source6:	%{name}trapd.sysconfig
Source7:	ucd-ipchains.tar.gz
# Source7-md5:	29949f1008f1a04d6efefd5b3ea607da
Patch0:		%{name}-acfix.patch
Patch1:		%{name}-rpm-implicit-libs.patch
Patch2:		%{name}-config-noflags.patch
Patch3:		%{name}-manpage.patch
Patch4:		%{name}-link.patch
Patch5:		%{name}-llinterfaces.patch
Patch6:		%{name}-kernel_headers.patch
Patch7:		%{name}-rpmpath.patch
Patch8:		%{name}-snmpksm.patch
Patch9:		%{name}-python.patch
Patch10:	%{name}-lvalue.patch
URL:		http://www.net-snmp.org/
BuildRequires:	autoconf >= 2.61-3
BuildRequires:	automake
BuildRequires:	elfutils-devel
%{?with_kerberos5:BuildRequires:	heimdal-devel}
BuildRequires:	libtool >= 1.4
BuildRequires:	libwrap-devel
%{?with_lm_sensors:BuildRequires:	lm_sensors-devel}
BuildRequires:	openssl-devel >= 0.9.7d
%{?with_autodeps:BuildRequires:	perl-Term-ReadKey}
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with python}
BuildRequires:	python-devel
BuildRequires:	python-setuptools
%endif
%if %{with rpm}
BuildRequires:	rpm-devel >= 4.0
BuildRequires:	rpm-perlprov >= 3.0.3-16
%endif
BuildRequires:	rpmbuild(macros) >= 1.176
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name}-libs = %{version}-%{release}
Requires:	/usr/bin/setsid
Requires:	rc-scripts >= 0.2.0
Provides:	snmpd
Obsoletes:	cmu-snmp
Obsoletes:	snmpd
Obsoletes:	ucd-snmp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		logfile		/var/log/snmpd.log
%define		filterout_ld	-Wl,--as-needed

%description
SNMP (Simple Network Management Protocol) is a protocol used for
network management (hence the name). The net-snmp project includes
various SNMP tools: an extensible agent, an SNMP library, tools for
requesting or setting information from SNMP agents, tools for
generating and handling SNMP traps, a version of the netstat command
which uses SNMP, and a Tk/Perl mib browser. This package contains the
snmpd daemon, documentation, etc.

%description -l es.UTF-8
Este paquete se deriva de la implementación del Protocolo Simple de
Gestión de Redes versión 2 (SNMPv2) de la Universidad Carnegie Mellon.
Útil para administrar redes y hacer contabilidad.

%description -l pl.UTF-8
SNMP (Simple Network Management Protocol) jest protokołem używanym do
zarządzania sieciami. Pakiet zawiera narzędzia: rozbudowywalnego
agenta, bibliotekę SNMP, narzędzia do odpytywania oraz ustawiania
informacji poprzez agentów SNMP, narzędzia do generowania i obsługi
pułapek SNMP, wersję komendy netstat używającą SNMP, przeglądarkę mib
w Tk/Perl, demona, dokumentację itp.

%description -l pt_BR.UTF-8
Este pacote é derivado da implementação do Protocolo Simples de
Gerenciamento de Redes versão 2 (SNMPv2) da Universidade Carnegie
Mellon. Útil para gerenciar redes e fazer contabilidade.

%description -l ru.UTF-8
SNMP (Simple Network Management Protocol) - это протокол, используемый
для управления сетью (отсюда и название). Проект net-snmp включает
разнообразные SNMP-утилиты: расширяемый агент, библиотека SNMP,
утилиты для запроса или установки информации от SNMP-агентов, утилиты
для генерации и обработки SNMP-трапов, версия команды netstat,
использующей SNMP, и mib-браузер на Tk/Perl. Этот пакет содержит
демоны snmpd и snmptrapd, документацию и т.д.

%description -l uk.UTF-8
SNMP (Simple Network Management Protocol) - це протокол, який
використовують для керування мережею (звідси і назва). Проект net-snmp
містить різноманітні SNMP-утиліти: розширюваний агент, бібліотека
SNMP, утиліти для запросу та встановлення інформації від NMP-агентів,
утиліти для генерації та обробки SNMP-трапів, версія команди netstat,
яка використовує SNMP, та mib-браузер на Tk/Perl. Цей пакет містить
демони snmpd та snmptrapd, документацію і т.і.

%package libs
Summary:	NET SNMP libraries
Summary(pl.UTF-8):	Biblioteki SNMP
Group:		Libraries
Requires:	%{name}-mibs = %{version}-%{release}
Obsoletes:	net-snmp-compat-libs
Obsoletes:	ucd-snmp-libs

%description libs
NET SNMP libraries.

%description libs -l pl.UTF-8
Biblioteki SNMP.

%package devel
Summary:	The development environment for the net-snmp project
Summary(es.UTF-8):	Archivos de inclusión y bibliotecas para desarrollo en el SNMP de la UCD
Summary(pl.UTF-8):	Pliki dla programistów używających bibliotek net-snmp
Summary(pt_BR.UTF-8):	Arquivos de inclusão e bibliotecas para desenvolvimento no SNMP da UCD
Summary(ru.UTF-8):	Среда разработки для проекта UCD-SNMP
Summary(uk.UTF-8):	Середовище розробки для проекту UCD-SNMP
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	elfutils-devel
%{?with_kerberos5:Requires:	heimdal-devel}
Requires:	libwrap-devel
%{?with_lm_sensors:Requires:	lm_sensors-devel}
Requires:	openssl-devel >= 0.9.7c
%{?with_rpm:Requires:	rpm-devel}
Obsoletes:	ucd-snmp-devel

%description devel
The ucd-snmp-devel package contains the development libraries and
header files for use with the net-snmp project's network management
tools.

%description devel -l es.UTF-8
Estas son las bibliotecas y archivos de inclusión para desarrollo con
el SNMP de la UCD. Con este paquete es posible la creación de
programas para uso en la gestión de redes.

%description devel -l pl.UTF-8
Pakiet zawiera pliki nagłówkowe i biblioteki potrzebne do rozwoju
aplikacji używających protokołu SNMP.

%description devel -l pt_BR.UTF-8
Estas são as bibliotecas e arquivos de inclusão para desenvolvimento
com o SNMP da UCD. Com este pacote é possível a criação de programas
para uso no gerenciamento de redes.

%description devel -l ru.UTF-8
Пакет ucd-snmp-devel содержит библиотеки разработчика и хедера для
использования с утилитами управления сетью проекта net-snmp.

%description devel -l uk.UTF-8
Пакет ucd-snmp-devel містить бібліотеки програміста та хедери для
використання з утилітами керування мережею проекту net-snmp.

%package static
Summary:	Static net-snmp libraries
Summary(pl.UTF-8):	Statyczne biblioteki net-snmp
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com ucd-snmp
Summary(ru.UTF-8):	Статические библиотеки для проекта net-snmp
Summary(uk.UTF-8):	Статичні бібліотеки для проекту net-snmp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	ucd-snmp-static

%description static
Static net-snmp libraries.

%description static -l pl.UTF-8
Statyczne biblioteki net-snmp.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com net-snmp.

%package compat-devel
Summary:	The development environment for the UCD-SNMP project
Summary(es.UTF-8):	Archivos de inclusión y bibliotecas para desarrollo en el SNMP de la UCD
Summary(pl.UTF-8):	Pliki dla programistów używających bibliotek UCD-SNMP
Summary(pt_BR.UTF-8):	Arquivos de inclusão e bibliotecas para desenvolvimento no SNMP da UCD
Summary(ru.UTF-8):	Среда разработки для проекта UCD-SNMP
Summary(uk.UTF-8):	Середовище розробки для проекту UCD-SNMP
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	openssl-devel >= 0.9.7d
Obsoletes:	cmu-snmp-devel
Obsoletes:	ucd-snmp-devel

%description compat-devel
The ucd-snmp-devel package contains the development libraries and
header files for use with the UCD-SNMP project's network management
tools.

%description compat-devel -l es.UTF-8
Estas son las bibliotecas y archivos de inclusión para desarrollo con
el SNMP de la UCD. Con este paquete es posible la creación de
programas para uso en la gestión de redes.

%description compat-devel -l pl.UTF-8
Pakiet zawiera pliki nagłówkowe i biblioteki potrzebne do rozwoju
aplikacji używających protokołu SNMP.

%description compat-devel -l pt_BR.UTF-8
Estas são as bibliotecas e arquivos de inclusão para desenvolvimento
com o SNMP da UCD. Com este pacote é possível a criação de programas
para uso no gerenciamento de redes.

%description compat-devel -l ru.UTF-8
Пакет ucd-snmp-devel содержит библиотеки разработчика и хедера для
использования с утилитами управления сетью проекта UCD-SNMP.

%description compat-devel -l uk.UTF-8
Пакет ucd-snmp-devel містить бібліотеки програміста та хедери для
використання з утилітами керування мережею проекту UCD-SNMP.

%package compat-static
Summary:	Static UCD-SNMP libraries
Summary(pl.UTF-8):	Statyczne biblioteki UCD-SNMP
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com ucd-snmp
Summary(ru.UTF-8):	Статические библиотеки для проекта UCD-SNMP
Summary(uk.UTF-8):	Статичні бібліотеки для проекту UCD-SNMP
Group:		Development/Libraries
Requires:	%{name}-compat-devel = %{version}-%{release}
Obsoletes:	ucd-snmp-static

%description compat-static
Static UCD-SNMP libraries.

%description compat-static -l pl.UTF-8
Statyczne biblioteki UCD-SNMP.

%description compat-static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com ucd-snmp.

%package mibs
Summary:	MIB database
Summary(pl.UTF-8):	Baza danych MIB
Group:		Applications/System
Conflicts:	ucd-snmp-libs

%description mibs
MIB database.

%description mibs -l pl.UTF-8
Baza danych MIB.

%package snmptrapd
Summary:	SNMP trap daemon
Summary(pl.UTF-8):	Demon obsługujący pułapki SNMP
Group:		Applications/System
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}
Requires:	rc-scripts >= 0.2.0
Obsoletes:	cmu-snmp-utils
Obsoletes:	ucd-snmp-snmptrapd

%description snmptrapd
The ucd-snmp-snmptrapd package contains snmp trap daemon.

%description snmptrapd -l pl.UTF-8
Pakiet zawiera demon obsługujący pułapki SNMP.

%package utils
Summary:	Network management utilities using SNMP, from the NET-SNMP project
Summary(es.UTF-8):	Utilitarios del SNMP de la UCD
Summary(pl.UTF-8):	Narzędzia używające protokołu SNMP
Summary(pt_BR.UTF-8):	Utilitários do SNMP da UCD
Summary(ru.UTF-8):	Утилиты управления сетью по SNMP из проекта NET-SNMP
Summary(uk.UTF-8):	Утиліти керування мережею по SNMP з проекту NET-SNMP
Group:		Applications/System
Requires:	%{name}-libs = %{version}-%{release}
Obsoletes:	cmu-snmp-utils
Obsoletes:	ucd-snmp-utils

%description utils
This package contains various utilities for managing your network
using the SNMP protocol.

%description utils -l es.UTF-8
Varios utilitarios para uso con el SNMP de la UCD. Contiene
utilitarios como: snmpwalk, snmptest y otros.

%description utils -l pl.UTF-8
Różnego rodzaju narzędzia do zarządzania siecią przy użyciu protokołu
SNMP.

%description utils -l pt_BR.UTF-8
Vários utilitários para uso com o SNMP da UCD. Contém utilitários
como: snmpwalk, snmptest e outros.

%description utils -l ru.UTF-8
Пакет ucd-snmp-utils содержит разнообразные утилиты для использования
в проекте управления сетью net-snmp.

%description utils -l uk.UTF-8
Пакет ucd-snmp-utils містить різноманітні утиліти для використання в
проекті керування мережею net-snmp.

%package -n perl-SNMP
Summary:	SNMP and NetSNMP::* Perl modules
Summary(pl.UTF-8):	Moduły Perla SNMP oraz NetSNMP::*
Group:		Development/Languages/Perl
Requires:	%{name}-libs = %{version}-%{release}
Conflicts:	ucd-snmp-utils-perl

%description -n perl-SNMP
SNMP and NetSNMP::* Perl modules - Perl interface to net-snmp.

%description -n perl-SNMP -l pl.UTF-8
Moduły Perla SNMP oraz NetSNMP::* - perlowy interfejs do net-snmp.

%package utils-perl
Summary:	Perl utilities for network management using SNMP
Summary(pl.UTF-8):	Perlowe narzędzia używające protokołu SNMP
Group:		Applications/System
Requires:	perl-SNMP = %{version}-%{release}
Obsoletes:	cmu-snmp-utils
Obsoletes:	ucd-snmp-utils-perl

%description utils-perl
This package contains various Perl utilities for managing your network
using the SNMP protocol.

%description utils-perl -l pl.UTF-8
Perlowe narzędzia do zarządzania siecią przy użyciu protokołu SNMP.

%package snmpconf
Summary:	snmpconf - creating and modifying SNMP configuration files
Summary(pl.UTF-8):	snmpconf - tworzenie i modyfikowanie plików konfiguracyjnych SNMP
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}
Requires:	perl-SNMP = %{version}-%{release}

%description snmpconf
snmpconf is a simple Perl script that walks you through setting up a
configuration file step by step. It should be fairly straight forward
to use.

%description snmpconf -l pl.UTF-8
snmpconf to prosty skrypt Perla pozwalający na tworzenie pliku
konfiguracyjnego krok po kroku. Powinien być w miarę prosty w użyciu.

%package tkmib
Summary:	MIB browser in Tk
Summary(pl.UTF-8):	Przeglądarka MIB-ów w Tk
Group:		Applications/System
Requires:	perl-SNMP = %{version}-%{release}
Requires:	perl-Tk

%description tkmib
MIB browser in Tk.

%description tkmib -l pl.UTF-8
Przeglądarka MIB-ów w Tk.

%package -n python-netsnmp
Summary:	Python netsnmp extension module
Summary(pl.UTF-8):	Moduł rozszerzenia netsnmp dla Pythona
Group:		Libraries/Python
Requires:	%{name}-libs = %{version}-%{release}

%description -n python-netsnmp
The 'netsnmp' Python extension module provides a full featured,
tri-lingual SNMP (SNMPv3, SNMPv2c, SNMPv1) client API.

%description -n python-netsnmp -l pl.UTF-8
Moduł rozszerzenia netsnmp dla Pythona udostępnia pełne API klienckie
SNMP dla trzech wersji tego protokołu (SNMPv3, SNMPv2c, SNMPv1).

%prep
%setup -q -a7
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%configure \
	--disable-debugging \
	--enable-as-needed \
	--with-cflags="%{rpmcflags} -I/usr/include/et" \
	--with-ldflags="%{rpmldflags}" \
	--with-defaults \
	--with-default-snmp-version=3 \
	%{?with_kerberos5:--with-krb5=%{_prefix}} \
	%{!?with_kerberos5:--without-krb5} \
	--with-openssl=%{_prefix} \
	--with-libwrap=%{_prefix} \
	--with-logfile="%{logfile}" \
	--with-zlib=%{_prefix} \
	--with-bzip2=%{_prefix} \
	--with%{!?with_rpm:out}-perl-modules \
	--with%{!?with_rpm:out}-python-modules \
	--with-mib-modules="host agentx smux mibII/mta_sendmail \
%ifarch %{ix86} %{x8664}
%if %{with lm_sensors}
			ucd-snmp/lmSensors \
%endif
%endif
			disman/event disman/schedule ucd-snmp/diskio \
			target misc/ipfwacc" \
	%{?with_kerberos5:--with-security-modules="ksm"} \
	--with-sys-contact="root@localhost" \
	--with-sys-location="Unknown" \
	--with-transports="UDP UDPIPv6 TCP TCPIPv6 Unix Callback " \
	--with-persistent-directory="/var/lib/net-snmp" \
	--enable-ucd-snmp-compatibility \
	--enable-ipv6 \
	--with%{!?with_rpm:out}-rpm

%{__make} -j1

cd perl

%{__perl} Makefile.PL \
	-NET-SNMP-IN-SOURCE=true \
	INSTALLDIRS=vendor \
	OPTIMIZE="%{rpmcflags}" \
	</dev/null

# avoid rpaths generated by MakeMaker
perl -pi -e 's@LD_RUN_PATH="\$\(LD_RUN_PATH\)" @@' */Makefile */*/Makefile

%{__make} \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{rc.d/init.d,sysconfig,snmp},/var/log}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/snmp/snmpd.conf
:> $RPM_BUILD_ROOT%{_sysconfdir}/snmp/snmpd.local.conf
:> $RPM_BUILD_ROOT%{_sysconfdir}/snmp/snmp.conf
:> $RPM_BUILD_ROOT%{logfile}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/snmpd
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/snmp/snmpd.conf
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/snmpd

install %{SOURCE4} $RPM_BUILD_ROOT/etc/rc.d/init.d/snmptrapd
install %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/snmp/snmptrapd.conf
install %{SOURCE6} $RPM_BUILD_ROOT/etc/sysconfig/snmptrapd

#install agent/mibgroup/ipfwchains/IPFWCHAINS-MIB.txt \
#	$RPM_BUILD_ROOT%{_datadir}/snmp/mibs

cd perl
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/perl-SNMP-%{version}
install SNMP/examples/*.pl $RPM_BUILD_ROOT%{_examplesdir}/perl-SNMP-%{version}
cd ..

# IP-Filter (non-Linux)
rm -f $RPM_BUILD_ROOT%{_bindir}/ipf-mod.pl

rm -f $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/Bundle/Makefile.subs.pl
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Bundle/NetSNMP/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch %{logfile}
chmod 640 %{logfile}
/sbin/chkconfig --add snmpd
%service snmpd restart "snmpd daemon"

%preun
if [ "$1" = "0" ]; then
	%service snmpd stop
	/sbin/chkconfig --del snmpd
fi

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%triggerpostun -- ucd-snmp
/sbin/chkconfig --add snmpd

%post snmptrapd
touch %{logfile}
chmod 640 %{logfile}
/sbin/chkconfig --add snmptrapd
%service snmptrapd restart "snmp trap daemon"

%preun snmptrapd
if [ "$1" = "0" ]; then
	%service snmptrapd stop
	/sbin/chkconfig --del snmptrapd
fi

%triggerpostun snmptrapd -- ucd-snmp-snmptrapd
/sbin/chkconfig --add snmptrapd

%files
%defattr(644,root,root,755)
%doc README local
%doc ChangeLog EXAMPLE.conf.def EXAMPLE.conf
%doc FAQ NEWS PORTING README.snmpv3 TODO AGENT.txt

%attr(754,root,root) /etc/rc.d/init.d/snmpd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/snmpd

%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/snmp/snmpd.conf
%attr(640,root,root) %config(missingok,noreplace) %verify(not md5 mtime size) %{_sysconfdir}/snmp/snmpd.local.conf

%attr(755,root,root) %{_sbindir}/snmpd

%{_mandir}/man5/snmpd.conf.5*
%{_mandir}/man5/snmpd.examples.5*
%{_mandir}/man5/snmpd.internal.5*
%{_mandir}/man5/variables.5*
%{_mandir}/man8/snmpd.8*

%attr(640,root,root) %ghost %{logfile}

%files libs
%defattr(644,root,root,755)
%dir %{_sysconfdir}/snmp
%attr(755,root,root) %{_libdir}/libnet*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mib2c
%attr(755,root,root) %{_bindir}/mib2c-update
%attr(755,root,root) %{_bindir}/net-snmp-config
%attr(755,root,root) %{_libdir}/libnet*[a-z].so
%{_libdir}/libnet*.la
%{_includedir}/net-snmp
%{_datadir}/snmp/mib2c*
%{_mandir}/man1/mib2c.1*
%{_mandir}/man1/mib2c-update.1*
%{_mandir}/man1/net-snmp-config.1*
%{_mandir}/man3/[!NS]*
%{_mandir}/man5/mib2c.conf.5*

%files static
%defattr(644,root,root,755)
%{_libdir}/libnet*.a

%files compat-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsnmp.so
%{_libdir}/libsnmp.la
%{_includedir}/ucd-snmp

%files compat-static
%defattr(644,root,root,755)
%{_libdir}/libsnmp.a

%files mibs
%defattr(644,root,root,755)
%dir %{_datadir}/snmp
%{_datadir}/snmp/mibs

%files snmptrapd
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/snmptrapd
%attr(754,root,root) /etc/rc.d/init.d/snmptrapd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/snmptrapd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/snmp/snmptrapd.conf
%if %{with perl}
%attr(755,root,root) %{_datadir}/snmp/snmp_perl_trapd.pl
%endif
%{_mandir}/man5/snmptrapd.conf.5*
%{_mandir}/man8/snmptrapd.8*

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/encode_keychange
%attr(755,root,root) %{_bindir}/snmpbulkget
%attr(755,root,root) %{_bindir}/snmpbulkwalk
%attr(755,root,root) %{_bindir}/snmpdelta
%attr(755,root,root) %{_bindir}/snmpdf
%attr(755,root,root) %{_bindir}/snmpget
%attr(755,root,root) %{_bindir}/snmpgetnext
%attr(755,root,root) %{_bindir}/snmpinform
%attr(755,root,root) %{_bindir}/snmpnetstat
%attr(755,root,root) %{_bindir}/snmpset
%attr(755,root,root) %{_bindir}/snmpstatus
%attr(755,root,root) %{_bindir}/snmptable
%attr(755,root,root) %{_bindir}/snmptest
%attr(755,root,root) %{_bindir}/snmptranslate
%attr(755,root,root) %{_bindir}/snmptrap
%attr(755,root,root) %{_bindir}/snmpusm
%attr(755,root,root) %{_bindir}/snmpvacm
%attr(755,root,root) %{_bindir}/snmpwalk
%{_mandir}/man1/encode_keychange.1*
%{_mandir}/man1/snmpbulkget.1*
%{_mandir}/man1/snmpbulkwalk.1*
%{_mandir}/man1/snmpcmd.1*
%{_mandir}/man1/snmpdelta.1*
%{_mandir}/man1/snmpdf.1*
%{_mandir}/man1/snmpget.1*
%{_mandir}/man1/snmpgetnext.1*
%{_mandir}/man1/snmpinform.1*
%{_mandir}/man1/snmpnetstat.1*
%{_mandir}/man1/snmpset.1*
%{_mandir}/man1/snmpstatus.1*
%{_mandir}/man1/snmptable.1*
%{_mandir}/man1/snmptest.1*
%{_mandir}/man1/snmptranslate.1*
%{_mandir}/man1/snmptrap.1*
%{_mandir}/man1/snmpusm.1*
%{_mandir}/man1/snmpvacm.1*
%{_mandir}/man1/snmpwalk.1*
%{_mandir}/man5/snmp.conf.5*
%{_mandir}/man5/snmp_config.5*

%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/snmp/snmp.conf

%if %{with perl}
%files -n perl-SNMP
%defattr(644,root,root,755)
%doc perl/SNMP/{BUG,README,TODO} perl/SNMP/examples
%{perl_vendorarch}/SNMP.pm
%{perl_vendorarch}/NetSNMP
%dir %{perl_vendorarch}/auto/SNMP
%{perl_vendorarch}/auto/SNMP/autosplit.ix
%{perl_vendorarch}/auto/SNMP/SNMP.bs
%attr(755,root,root) %{perl_vendorarch}/auto/SNMP/SNMP.so
%dir %{perl_vendorarch}/auto/NetSNMP
%dir %{perl_vendorarch}/auto/NetSNMP/*
%{perl_vendorarch}/auto/NetSNMP/*/autosplit.ix
%{perl_vendorarch}/auto/NetSNMP/*/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/NetSNMP/*/*.so
%dir %{perl_vendorarch}/auto/NetSNMP/agent/default_store
%{perl_vendorarch}/auto/NetSNMP/agent/default_store/autosplit.ix
%{perl_vendorarch}/auto/NetSNMP/agent/default_store/default_store.bs
%attr(755,root,root) %{perl_vendorarch}/auto/NetSNMP/agent/default_store/default_store.so
%{_mandir}/man3/NetSNMP::*.3*
%{_mandir}/man3/SNMP.3*
%{_examplesdir}/perl-SNMP-%{version}

%files utils-perl
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/fixproc
%attr(755,root,root) %{_bindir}/snmpcheck
%attr(755,root,root) %{_bindir}/traptoemail
%{_mandir}/man1/fixproc.1*
%{_mandir}/man1/traptoemail.1*
%endif

%files snmpconf
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/snmpconf
%{_mandir}/man1/snmpconf.1*
%{_datadir}/snmp/snmpconf-data

%if %{with perl}
%files tkmib
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/tkmib
%{_mandir}/man1/tkmib.1*
%endif

%if %{with python}
%files -n python-netsnmp
%defattr(644,root,root,755)
%dir %{py_sitedir}/netsnmp
%attr(755,root,root) %{py_sitedir}/netsnmp/*.so
%{py_sitedir}/netsnmp/*.py[co]
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: net-snmp.spec,v $
Revision 1.104.2.3  2007-12-15 19:15:07  glen
- rel 4

Revision 1.104.2.2  2007-11-19 21:19:33  glen
- rel 3

Revision 1.104.2.1  2007-11-14 19:45:37  glen
- started 5.4.1 for AC-branch

Revision 1.104  2007-11-14 19:31:32  glen
- evil typo

Revision 1.103  2007-11-14 19:31:08  glen
- partial files cleanup

Revision 1.102  2007-11-14 19:25:09  glen
- only make -j1 hack is needed

Revision 1.101  2007-11-03 10:18:39  arekm
- rel 2; don't cast possible lvalue

Revision 1.100  2007/09/13 15:12:08  qboosh
- -devel R: krb5-devel

Revision 1.99  2007/09/08 21:05:10  qboosh
- fixed lm_sensors bcond

Revision 1.98  2007/09/08 21:04:42  qboosh
- updated to 5.4.1
- updated acfix,link,python patches
- removed obsolete dlopen-fix,python-includes patches
- BR autoconf 2.61-3 to get required AC_FUNC_GETMNTENT semantics

Revision 1.97  2007/08/07 19:52:23  arekm
- rel 6

Revision 1.96  2007/06/30 01:16:27  tommat
- typo

Revision 1.95  2007/05/16 13:36:05  jajcus
- bconds for some optional functionality

Revision 1.94  2007/04/01 21:10:27  baggins
- rel 5
- resolved krb5 building problems

Revision 1.93  2007/03/31 22:06:04  baggins
- rel 4
- s/heimdal/krb5/

Revision 1.92  2007/03/25 23:33:56  sls
- added TODO about python-netsnmp linking

Revision 1.91  2007/02/18 22:40:20  wiget
- devel R: lm_sensors-devel, relase 3

Revision 1.90  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.89  2007/02/12 00:26:49  baggins
- converted to UTF-8

Revision 1.88  2007/01/23 18:26:17  qrczak
- net-snmp-python-includes.patch: missing include dirs
- Release 2

Revision 1.87  2006/12/21 17:08:06  arekm
BR: python-setuptools

Revision 1.86  2006/12/21 01:26:20  arekm
- rel 1

Revision 1.85  2006/12/03 20:18:04  qboosh
- updated link patch; now at least libnetsnmp is linked properly

Revision 1.84  2006/12/03 19:22:22  qboosh
- added --enable-as-needed, but it's not sufficient to fix linking

Revision 1.83  2006/12/02 20:57:37  qboosh
- added python patch, updated files (added python-netsnmp package); builds now

Revision 1.82  2006/12/02 17:02:59  qboosh
- perl installs, now it fails on python

Revision 1.81  2006/12/02 14:17:45  qboosh
- updated acfix patch, added snmpksm patches
- pass -I.../et in CFLAGS (for <com_err.h>)
- don't enable usm module, it's enabled by default
- compiles now, fails on perl install

Revision 1.80  2006/11/29 00:54:20  arekm
- start with 5.4; need to find out a way to fix ac crap

Revision 1.79  2006/11/28 23:41:52  arekm
- rel 4

Revision 1.78  2006/08/09 11:11:06  arekm
- mv /etc/snmp to libs subpackage so it can be shared

Revision 1.77  2006/08/09 06:59:42  arekm
- rel 2

Revision 1.76  2006/08/07 20:43:53  wolf
- fix rpmpath
- no --as-needed

Revision 1.75  2006/07/26 15:02:19  glen
- avoid defining default %attr

Revision 1.74  2006/07/21 07:55:33  qboosh
- updated to 5.3.1

Revision 1.73  2006/03/11 18:56:36  pluto
- release 1.

Revision 1.72  2006/03/05 15:20:15  glen
- use %service, adapterized, cosmetics

Revision 1.71  2006/01/27 13:05:48  qboosh
- fixed snmptrapd trigger

Revision 1.70  2006/01/27 13:03:26  qboosh
- triggers to readd snmpd/snmptrapd services after upgrade from ucd-snmp

Revision 1.69  2006/01/23 22:56:26  qboosh
- updated to 5.3.0.1 (security fix - 5.3 granted write access for rousers/rocommunities)

Revision 1.68  2006/01/12 19:05:27  qboosh
- disabled tunnel mib as it depends on mibII/interfaces which is not built on Linux now
- updated files
- note: sonames have changed

Revision 1.67  2006/01/09 00:15:22  arekm
- started update to 5.3

Revision 1.66  2005/12/13 18:01:46  glen
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

Revision 1.65  2005/12/05 15:48:23  baggins
- release 4
- devel R:libwrap-devel

Revision 1.64  2005/11/08 15:12:42  qboosh
- updated perl magick to link against new libnetsnmp

Revision 1.63  2005/10/30 14:32:25  glen
- R: rpm-devel to -devel because net-snmp-config --libs has -lrpm

Revision 1.62  2005/10/11 20:47:36  arekm
- move juniper mibs to net-snmp-mibs-juniper.spec

Revision 1.61  2005/10/10 08:43:58  arekm
- rel 3; enable lm_sensors and diskio on x86/x86_64; add snmp.config

Revision 1.60  2005/10/06 13:06:14  glen
- build agent/mibgroup first (to fix compile desynch which was not caused by parallel make)
- rel 2 for fixed juniper mibs deps (added standardmibs to -mibs package)

Revision 1.59  2005/10/06 12:46:02  glen
- install Standard MIBs (Required by Juniper MIBs)

Revision 1.58  2005/10/05 12:41:42  qboosh
- sorted verify() flags

Revision 1.57  2005/10/05 12:11:46  qboosh
- added CAN references to rev. 1.56 and 1.53 commit messages

Revision 1.56  2005/10/05 10:00:17  arekm
- rel 1
- glsa-200505-18 [CAN-2005-1740] fixed
- glsa-200509-05 was gentoo specific
- other todo item dropped (missing info about init script, what is missing in configs, we have no ia64)

Revision 1.55  2005/09/08 01:41:45  glen
- todo security (NB: don't forget AC-branch)

Revision 1.54  2005/08/06 00:02:26  qboosh
- dropped --enable-reentrant (broken, causes snmpd deadlock)

Revision 1.53  2005/07/01 18:25:20  qboosh
- updated to 5.2.1.2 (NEWS say it fixes DoS vuln but... deadlock is unresolved)
[fixes CAN-2005-2177]

Revision 1.52  2005/05/24 07:38:02  glen
- TODO security

Revision 1.51  2005/04/01 19:39:50  glen
- vim syntax workaround

Revision 1.50  2005/03/31 09:25:14  qboosh
- still doesn't work (v2c and v3 too)... noted backtrace

Revision 1.49  2005/03/30 22:14:17  qboosh
- grrr, fixed untested commit

Revision 1.48  2005/03/24 11:57:04  blues
- mibs for Juniper

Revision 1.47  2005/03/06 10:41:46  glen
- fixed %banner usage

Revision 1.46  2005/02/26 15:22:29  qboosh
- updated to 5.2.1, updated config-noflags patch; v1 still doesn't work

Revision 1.45  2005/02/04 14:22:09  pzurowski
- BR: rpmbuild(macros) >= 1.176 due to:
- %banner support

Revision 1.44  2005/01/17 21:01:52  qboosh
- added syntax patch

Revision 1.43  2004/12/30 22:30:48  qboosh
- files update

Revision 1.42  2004/12/30 15:23:31  hawk
- doesn't work as it should, changed release to 0.1

Revision 1.41  2004/12/29 21:55:14  hawk
- updated to 5.2

Revision 1.40  2004/10/25 10:44:37  paladine
- "Tcl" and "Tk" unifications (and few others)

Revision 1.39  2004/09/02 11:27:26  snurf
- typos / formatting / etc.

Revision 1.38  2004/08/26 06:46:02  qboosh
- updated to 5.1.2

Revision 1.37  2004/08/08 11:12:31  havner
- rel 3

Revision 1.36  2004/07/20 11:58:26  qboosh
- typo

Revision 1.35  2004/07/20 11:45:23  qboosh
- release 2

Revision 1.34  2004/07/20 11:42:49  qboosh
- fixed Obsoletes in -libs (should be net-snmp-compat-libs)

Revision 1.33  2004/07/16 16:40:06  arekm
- rel 1

Revision 1.32  2004/03/27 18:15:04  qboosh
- removed duplicates of perl manuals from -devel

Revision 1.31  2004/03/27 17:57:10  qboosh
- updated to 5.1.1, updated acfix,link,usr_local_bin_perl patches
- added strtok patch (reentrant strtok needed in one place)
- killed compat-libs (a duplicate of libnetsnmp with different soname),
  just use symlinks in compat-{devel,static}
- revised deps and part of TODO

Revision 1.30  2004/03/19 23:46:31  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.29  2004/01/09 19:47:54  jajcus
- Release 1.1 (TODO list too long for integer release)

Revision 1.28  2004/01/02 17:46:37  jajcus
- Release: 1 (STBR after AMD64 fixes)

Revision 1.27  2003/12/21 19:17:47  jajcus
- compilation with userspace kernel headers fixed (-kernel_headers.patch)
- don't pass %{_prefix} with --with-... configure options
- override LDFLAGS for make (so -L/usr/lib is not included)

Revision 1.26  2003/12/21 18:42:48  qboosh
- cleanups, missing defattr for -snmpconf

Revision 1.25  2003/12/16 20:24:01  qboosh
- release 0.2 for rpm built on db-4.2

Revision 1.24  2003/11/18 20:51:43  qboosh
- updated to 5.1
- updated acfix,rpm-implicit-libs,config-noflags,dlopen-fix,manpage patches
- removed obsolete DESTDIR patch
- changed -s to -Lsd in snmpd.init

Revision 1.23  2003/09/30 20:18:27  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.22  2003/09/22 11:00:45  wiget
- updated to 5.0.9

Revision 1.21  2003/08/08 16:35:26  qboosh
- -devel R: elfutils-devel; BR: elfutils-devel (independently of rpm support)

Revision 1.20  2003/07/26 16:39:11  radek
- release 0.6: added *-usr_local_bin_perl.patch

Revision 1.19  2003/06/23 17:03:45  baggins
- added llinterfaces patch
  Care for Linux drivers that maintain octet couters as long long values
  If anyone ever remove this patch without very good explanation I will
  personally hunt him down and kill.

Revision 1.18  2003/05/25 11:14:01  adgor
- Source0-md5

Revision 1.17  2003/05/25 11:00:55  malekith
- massive attack, adding Source-md5

Revision 1.16  2003/05/25 05:51:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2003/05/20 09:39:23  wiget
- added defattr to perl subpackage

Revision 1.14  2003/05/19 19:41:22  wiget
- rebuild with new rpm

Revision 1.13  2003/05/17 19:27:08  qboosh
- added patches based on ucd-snmp: dlopen-fix (dlmod works now), manpage (paths
  correction), link (link libsnmp and libnetsnmp with -lcrypto)
- release 0.2

Revision 1.12  2003/05/17 15:00:55  qboosh
- up to 5.0.8, updated acfix and DESTDIR patches
- added config-noflags to remove evil CFLAGS and LDFLAGS from net-snmp-config
- reorders, cleanups, corrected some summaries and descriptions
- build perl modules (as perl-SNMP subpackage)

Revision 1.11  2003/04/02 17:43:16  misiek
- rebuild

Revision 1.10  2003/02/28 10:08:03  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.9  2003/02/20 22:47:02  qboosh
- -libs R: -mibs, so %{_datadir}/snmp dir should belong to -mibs

Revision 1.8  2003/02/17 22:00:20  wiget
- configs readded
- rel 0.2

Revision 1.7  2003/02/13 16:43:46  ankry
- commented out non-existent unused sources

Revision 1.6  2003/02/13 14:03:35  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.5  2003/02/13 13:17:43  wiget
- fix compat subpackage requires

Revision 1.4  2003/02/13 13:16:43  wiget
- compat-libs %files fix

Revision 1.3  2003/02/13 12:59:16  wiget
- added mibs subpackage
- added compat-libs subpackage (UCD-SNMP 4.x API compatible)
- init.d scripts for snmpd and snmptrapd
- mib2c are devel tool so move it from utils-perl to devel (or separate this to mib2c subpackage ?)
- snmpconf back to utils-perl

Revision 1.2  2003/02/13 11:44:53  wiget
- small cleanup
- added TODO list
- added -compat subpackages (-compat-lib must be added too)
- ucd-snmp changelog cut

Revision 1.1  2003/02/13 09:59:16  wiget
- based on ucd-snmp.spec, compiles but NFY
